guix-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

03/17: gnu: openfortivpn: Depend on ppp 2.4.9.


From: guix-commits
Subject: 03/17: gnu: openfortivpn: Depend on ppp 2.4.9.
Date: Sat, 25 Nov 2023 17:36:16 -0500 (EST)

civodul pushed a commit to branch master
in repository guix.

commit c5c3939ad395884ec8a5730110b4060d4abae593
Author: Benjamin <benjamin@uvy.fr>
AuthorDate: Tue Nov 7 17:36:17 2023 +0100

    gnu: openfortivpn: Depend on ppp 2.4.9.
    
    * gnu/packages/vpn.scm (openfortivpn): Update to 1.17.3.
    [inputs]: Remove ppp; add ppp-2.4.9.
    
    Change-Id: Ia88254afb1d7aaa9d3d6bf6c9e752d84165560b3
    Co-authored-by: Ludovic Court├Ęs <ludo@gnu.org>
---
 gnu/packages/vpn.scm | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/vpn.scm b/gnu/packages/vpn.scm
index 972f9b0329..489a35da42 100644
--- a/gnu/packages/vpn.scm
+++ b/gnu/packages/vpn.scm
@@ -825,7 +825,9 @@ others.")
     (native-inputs
      (list autoconf automake pkg-config))
     (inputs
-     (list openssl ppp))
+     ;; ppp < 2.5.0 is required due to
+     ;; <https://github.com/adrienverge/openfortivpn/pull/1148>.
+     (list openssl ppp-2.4.9))
     (home-page "https://github.com/adrienverge/openfortivpn";)
     (synopsis "Client for PPP+SSL VPN tunnel services")
     (description "Openfortivpn is a client for PPP+SSL VPN tunnel services.  It



reply via email to

[Prev in Thread] Current Thread [Next in Thread]